/***************************************************************************
    Kpass - Internet Password Passwortmanager
    ------------------------------------------------------------------------
    begin              : 21-2-2001
    version            : 0.012 1st release
    copyright          : (C) 2001 by Karl E. Maij
    email              : kem@sitedesign.ch
    website            : http://www.sitedesign.ch
    doc                : http://www.maij.ch/downloads/docs/kpass/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.	See http://www.gnu.org		
****************************************************************************/

#ifndef KPGRP_H
#define KPGRP_H

#include <klocale.h>
#include <kmessagebox.h>
#include <kconfig.h>

#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>
#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QGroupBox;
class QLabel;
class QLineEdit;
class QMultiLineEdit;
class QPushButton;

class Kpgrp : public QDialog  {

	Q_OBJECT

public:
  Kpgrp( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~Kpgrp();


public:
  QGroupBox *inputBox;
  QPushButton *cmdCancel, *cmdCreate;
  QGroupBox *buttonBox;
  QLabel *lblGroupname, *lblDescription;
  QLineEdit *txtGroupName;
  QMultiLineEdit *txtDescription;

 	QString getGroupName() const {return txtGroupName->text();}
  QString getDescription() const {return txtDescription->text();}

public slots:
	void setGroup(QString textGroup);
	void setDescription(QString textDescription);
	void checkGroup();

};

#endif
