/***************************************************************************
    Kpass - Internet Password Passwortmanager
    ------------------------------------------------------------------------
    begin              : 21-2-2001
    version            : 0.012 1st release
    copyright          : (C) 2001 by Karl E. Maij
    email              : kem@sitedesign.ch
    website            : http://www.sitedesign.ch
    doc                : http://www.maij.ch/downloads/docs/kpass/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.	See http://www.gnu.org		
****************************************************************************/

static const char* const image0_data[] = {
// key picture
"24 22 4 1",
". c None",
"a c #000000",
"# c #838183",
"b c #c5c2c5",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
".....#aa................",
"....#a#aa...............",
"....aabbaaaaaaaaaaa.....",
"....aabbaaaaaaaaaaa.....",
"....#a#aa....aa.aa......",
".....#aa.....aa.aa......",
".............aa.aa......",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................",
"........................"};

static const char* const image1_data[] = {
// copy picture
"16 15 4 1",
"# c #000000",
"b c #000083",
". c none",
"a c #ffffff",
"................",
"######..........",
"#aaaa##.........",
"#aaaa#a#........",
"#a##a#bbbbbb....",
"#aaaaabaaaabb...",
"#a####baaaabab..",
"#aaaaaba##abbbb.",
"#a####baaaaaaab.",
"#aaaaaba#####ab.",
"######baaaaaaab.",
"......ba#####ab.",
"......baaaaaaab.",
"......bbbbbbbbb.",
"................"};

static const char* const image2_data[] = {
// internet picture
"16 16 12 1",
"d c #000000",
"j c #008100",
"# c #008183",
"f c #00ff00",
"b c #00ffff",
"h c #830083",
"a c #838100",
"i c #838183",
". c none",
"c c #ff00ff",
"e c #ffff00",
"g c #ffffff",
".......##.aa....",
".....#bcc#dea...",
"....#bcbbc#dea..",
"...#fcggbhcdea..",
"...#cbcgc#id.a..",
"...#ibbcbh#dad..",
"...cbbcbcjidad..",
"...adjbb.cdaad..",
"...aed###daad...",
"....aeaddaad....",
".....aaaadd.....",
".......ad.......",
"......aaad......",
"....aaeeaadd....",
"...ageaaaaaad...",
"....dddddddd...."};

static const char* const image3_data[] = {
"16 16 6 1",
". c None",
"# c #000000",
"d c #313031",
"c c #5a595a",
"a c #a4a1a4",
"b c #ffffff",
"................",
"................",
".......##.......",
"......#ab##.....",
".....#abbbb##...",
"....#cccbbccc##.",
"...#ccccccccccc#",
"..#ccccd#cccccc#",
".#ccccc#.ccccc#.",
"#cccccccccccc#..",
"#ccccadccccc#...",
".##cadccccc#....",
"...##ccccc#.....",
".....##cc#......",
".......##.......",
"................"};

static const char* const image4_data[] = {
"16 16 5 1",
"# c #000000",
"b c #838183",
". c none",
"c c #ffff00",
"a c #ffffff",
"................",
".....#########..",
"....#aaaaaaaa#..",
"....#a#####a#...",
"...#aaaaaaaa#...",
"...#a#####a####.",
"..#aaaaaaaa#.#.#",
".##########.#.##",
"#..........#.#.#",
"#############..#",
"#......bbb..#.#.",
"#......ccc..###.",
"#############.#.",
".#.........#.#..",
"..###########...",
"...............a"};

static const char* const image5_data[] = {
"16 16 9 1",
". c None",
"# c #000000",
"a c #0000ff",
"d c #00c200",
"c c #00c2c5",
"b c #c500c5",
"f c #ff0000",
"e c #ffaa5a",
"g c #ffdeac",
"......###.......",
"......#aa##.....",
"......###aa###..",
"....###bb##aaa##",
"....#cc##bb##aa#",
"....###cc###bba#",
"..###dd##ccc##a#",
"..#ee##dd##cc#a#",
"..###ee###ddc#a#",
"..#ff##eee#dc#a#",
".##ffff##e#dc###",
"#gg###ff#e#dc#..",
"#gggg#ff#e#dc#..",
"#ggg#fff#e###...",
"#gg#.##f#e#.....",
".##....###......"};

 static const char* const image6_data[] = {
"32 32 11 1",
". c None",
"# c #000000",
"h c #00ff00",
"c c #5a595a",
"f c #838100",
"d c #838183",
"i c #a4a1a4",
"b c #c5c2c5",
"e c #dedede",
"g c #ffff00",
"a c #ffffff",
"................................",
"................................",
"...........###..................",
"..........#abb###...............",
".........#aabbbbb###............",
".........#ccaaabbbbb###.........",
"........#ccccccaaabbbbb###......",
".......#cdeeccccccaaabbbbb###...",
"......#cdaaabbbccccccaaabbbbb###",
".....#cdaaaaaaabbbccccccaaabbbb#",
"....#cdaaabbbaaaa#ccdccceffaaac#",
"...#cdaaaaaaaaaa#ccddddaefffecc#",
"..#cdaaabbbaaaa#ccddddabbbbfecc#",
".#cdddeaaaaaaa#ccddddabbggbbacc#",
"#aabbbdddeaaa#ccddddabbbbbbaccc#",
"#bbaaabbbddd#ccddddabbhhbbacccc#",
"#bbbbbaaabbbddddddabbbbbbaccccc#",
"#bibbbbbbaaabbbbdabbbbbbacccccc#",
"#biiiibbbbbbaaadabbbbbbaccccccc#",
"#biaaaiiibbbbbbaaabbbbacccccccc#",
"#bbbbbaaaiiibbbbbbaaaaccccccccc#",
"#bibbbbbbaaaiiibbbbbbccccccccc#.",
"#biiiibbbbbbaaaiiibbbcccccccc#..",
"#biaaaiiibbbbbbiaaiibccccccc#...",
"#bbbbbaaaiiibbbibbaabcccccc#....",
"###bbbbbbaaaiiiibbbbbccccc#.....",
"...###bbbbbbaaaibbbbbcccc#......",
"......###bbbbbbibbbbbccc#.......",
".........###bbbbbbbbbcc#........",
"............###bbbbbbc#.........",
"...............###bbb#..........",
"..................###..........."};

static const char* const image7_data[] = {
"32 32 102 2",
"Qt c None",
".# c #000000",
"#t c #000408",
".f c #101410",
".h c #181800",
".i c #181808",
"#D c #181818",
"#G c #202020",
"#w c #202420",
"#z c #292829",
".u c #313031",
"#p c #313431",
"#J c #413831",
".t c #4a484a",
"#I c #737173",
"#E c #737573",
".y c #7b6d39",
"#H c #7b7d7b",
"#C c #838183",
"#l c #838583",
"#v c #83858b",
".9 c #83898b",
"#y c #8b8983",
".j c #8b898b",
"#o c #8b8d8b",
"#m c #8b8d94",
".o c #945d31",
"#A c #949194",
"#n c #949594",
".Y c #9499a4",
"#x c #9c9994",
"#j c #9c999c",
"#c c #9c9d9c",
".M c #a49541",
"#r c #a4a19c",
"#B c #a4a1a4",
".5 c #a4a5a4",
"#q c #acaaa4",
".4 c #acaaac",
"#g c #acaeac",
".E c #b49d4a",
"#i c #b4b2ac",
"#u c #b4b2b4",
".R c #b4b6b4",
"#f c #bdbab4",
"#k c #bdbabd",
".D c #bdbebd",
".z c #c5ae52",
".L c #c5c2c5",
".C c #c5c6c5",
".S c #cdae52",
".p c #cdb252",
"#. c #cdb652",
"#b c #cdcac5",
".n c #cdcacd",
"#a c #cdcecd",
".T c #d5b652",
"## c #d5d2cd",
".m c #d5d2d5",
".s c #d5d6d5",
"#F c #de914a",
".U c #dec262",
".8 c #dedad5",
".K c #dedade",
".7 c #dedede",
".6 c #e6ca5a",
".3 c #e6e2de",
".l c #e6e2e6",
".2 c #e6e6e6",
".F c #eed262",
".v c #eed26a",
".q c #eeda7b",
".A c #eee294",
".G c #eee68b",
".0 c #eeeaa4",
".1 c #eeeae6",
".B c #eeeaee",
".r c #eeeeee",
"#h c #f6d662",
"#d c #f6da6a",
".N c #f6de7b",
".Z c #f6e283",
".O c #f6e68b",
".w c #f6ea94",
".H c #f6ea9c",
".g c #f6eaa4",
".I c #f6f2ac",
".X c #f6f2ee",
"#e c #f6f2f6",
".Q c #f6f6f6",
".k c #ffaa5a",
"#s c #ffb66a",
".d c #ffbe7b",
".e c #ffca8b",
".b c #ffd294",
".W c #ffdaa4",
".c c #ffdea4",
".a c #ffdeac",
".P c #ffea8b",
".V c #ffee8b",
".J c #fffaf6",
".x c #ffffff",
"QtQtQtQtQtQt.#.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQt.#.a.a.b.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQt.#.a.a.a.c.b.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQt.#.b.b.#.d.e.e.b.#.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"Qt.fQtQtQt.#.d.#.g.#.#.d.e.e.b.h.iQtQt.#.#.#QtQtQtQtQtQtQtQtQtQt",
".#.j.#.#Qt.#.k.#.g.g.g.#.#.d.e.e.b.#.#.b.b.b.#.#QtQtQtQtQtQtQtQt",
".#.l.m.n.#.#.o.#.p.q.g.g.g.#.#.d.e.e.c.c.c.c.c.b.#.#QtQtQtQtQtQt",
".#.m.r.r.s.m.t.u.#.p.v.w.g.g.g.#.#.d.e.e.c.c.c.c.c.b.#QtQtQtQtQt",
".#.m.x.x.r.r.s.s.t.u.y.z.q.A.g.g.g.#.#.d.e.e.a.c.c.c.#QtQtQtQtQt",
"Qt.#.r.x.x.x.r.B.C.D.t.t.E.F.G.H.I.g.g.#.#.d.e.e.a.c.b.#QtQtQtQt",
"Qt.#.l.x.x.x.x.J.l.K.L.#.y.M.F.F.N.O.P.g.g.#.#.d.e.a.a.#QtQtQtQt",
"Qt.#.m.x.x.x.J.Q.r.r.n.R.t.u.y.S.T.u.y.U.V.g.g.#.d.e.W.#QtQtQtQt",
"Qt.#.n.x.x.J.Q.X.r.r.K.n.n.R.t.u.y.Y.u.u.y.F.Z.0.#.e.W.#QtQtQtQt",
"QtQt.#.r.J.Q.X.r.1.2.3.s.m.n.L.R.u.D.4.5.u.y.6.A.#.e.W.#QtQtQtQt",
"QtQt.#.l.Q.X.r.1.2.l.7.8.s.s.n.C.C.C.R.4.9.u#..A.#.d.W.#QtQtQtQt",
"QtQt.#.m.Q.r.2.2.3.7.7.s###a#b#b.L.D.R.4#c.u.y#d.#.d.W.#QtQtQtQt",
"QtQt.#.n#e.r.2.3.7.K.s.s#a#b.C.L.D#f.R#g#c.u.y#h.#.d.b.#QtQtQtQt",
"QtQtQt.#.7.2.3.7.K.s###a#b#b.L.D#f.R#i#g#j.u.y.6.#.d.b.#QtQtQtQt",
"QtQtQt.#.K.l.7.7.s###a#b#b.L.D#k.R.R#g.4#j#l.u.y.#.d.b.#QtQtQtQt",
"QtQtQt.##a.K.7.s.s#a#b.C.L.D#k.R.R#i.4.5#j#m.u.y.#.d.b.#QtQtQtQt",
"QtQtQt.##k.L.L#a#a#a.C.L.D#f.R.R#i.4.5.5#n#o.u.y.#.d.e.#QtQtQtQt",
"QtQtQtQt.##p.5.R.L.C.C.D#k.R#i#i.4#q.5#r#n.j.u.y.##s.e.#QtQtQtQt",
"QtQtQtQtQtQt.##t.5.R#u#k.R.R#i.4.5.5.5#c#n#v#l.u.##s.d.#QtQtQtQt",
"QtQtQtQtQtQtQtQt.##w#c.5.4#q.4#q.5#r#c#x#n.j#y.u.##s.d.#QtQtQtQt",
"QtQtQtQtQtQtQtQtQtQt.##z#A#j#B.5#B#c#j#n#x#o#l.u.#.k.d.#QtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQt.#.#.j#A#n#j#n#n#x#A#C.u.#.k#s.#QtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQt.##D#l.j#o#n#n#A#v#E.u#F#s.#.#QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##G#E#l#l#o#v#E.u#F.k.#.#.#.#Qt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.##E#H#C#E.u.o.k.#.#.#.#.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##D#I#E.u.o#F.#.#.#.#Qt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.##G#J.o.o.#.#QtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.#.#QtQtQtQtQt"};

static const char* const image8_data[] = {
"32 32 24 1",
". c None",
"# c #000000",
"v c #080808",
"n c #181818",
"t c #393839",
"m c #4a484a",
"u c #525552",
"p c #5a595a",
"o c #5a5d5a",
"l c #626162",
"k c #626562",
"i c #6a696a",
"h c #6a6d6a",
"g c #737173",
"f c #737573",
"e c #7b797b",
"d c #7b7d7b",
"b c #838183",
"a c #838583",
"s c #8b898b",
"r c #9c9d9c",
"q c #a4a1a4",
"j c #f6f6f6",
"c c #ffffff",
"................#...............",
"...............#a#..............",
"..............#aaa#.............",
".............#bbcbb#............",
"............#ddcccdd#...........",
"...........#edcccccde#..........",
"..........#eecccccccee#.........",
".........#fffecccccccff#........",
"........#ggffffcccccccgg#.......",
".......#hgggffffcccccccgh#......",
"......#ihhhggggggccccccchi#.....",
".....#iiihhhggggggcccccjcii#....",
"....#kkiiihhhhhhhhhccccciikk#...",
"...#llkkkiiiihmnnmhhcjcikkkll#..",
"..#olllkkkiiim#..#miicikkklllo#.",
".#poolllkkkkkn....nikkkkklllooq#",
"#qppooolllkkkn....nkkkkllloooq#.",
".#qppooolllllm#..#mlllllloobr#..",
"..#qppooooolllmnnmlllloooob##...",
"...#qpppooostoooooooooooopq#....",
"....#qpppps##too#ooooopppq#.....",
".....#qups#vtpppppppppppq#......",
"......#bu##tpppppppppuuq#.......",
".......#qttuuuuuuuuuuuq#........",
"........#quuuuuuuuuuuq#.........",
".........#buuuuuuuuuq#..........",
"..........#quuuuuuuq#...........",
"...........#quuuuuq#............",
"............#quuuq#.............",
".............#quq#..............",
"..............#q#...............",
"...............#................"};


