/***************************************************************************
    Kpass - Internet Password Passwortmanager
    ------------------------------------------------------------------------
    begin              : 21-2-2001
    version            : 0.012 1st release
    copyright          : (C) 2001 by Karl E. Maij
    email              : kem@sitedesign.ch
    website            : http://www.sitedesign.ch
    doc                : http://www.maij.ch/downloads/docs/kpass/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.	See http://www.gnu.org		
****************************************************************************/

#include "kpout.h"
#include "kppics.h"

Kpout::Kpout( QWidget* parent,  const char* name, WFlags fl ) : QDialog( parent, name, true, fl ){


  QPixmap image0( ( const char** ) image0_data );
  if ( !name )
	setName( "Kpout" );
  resize( 297, 237 );
  setIcon( image0 );

  mainBox = new QButtonGroup( this, "mainBox" );
  mainBox->setGeometry( QRect( 5, 5, 285, 185 ) );
  mainBox->setFrameShadow( QGroupBox::Plain );
  mainBox->setFrameShape( QGroupBox::Box );

  rbRawFile = new QRadioButton( mainBox, "rbRawFile" );
  rbRawFile->setGeometry( QRect( 10, 10, 267, 16 ) );

  rbAllPassword = new QRadioButton( mainBox, "rbAllPassword" );
  rbAllPassword->setGeometry( QRect( 10, 70, 267, 16 ) );

  rbGroupPassword = new QRadioButton( mainBox, "rbGroupPassword" );
  rbGroupPassword->setGeometry( QRect( 10, 50, 267, 16 ) );

  rbSinglePassword = new QRadioButton( mainBox, "rbSinglePassword" );
  rbSinglePassword->setGeometry( QRect( 10, 30, 267, 16 ) );
  rbSinglePassword->setChecked( true );

  cbMemo = new QCheckBox( mainBox, "cbMemo" );
  cbMemo->setGeometry( QRect( 165, 135, 110, 16 ) );
  cbMemo->setText( i18n( "Memo" )  );

  cbDate = new QCheckBox( mainBox, "cbDate" );
  cbDate->setGeometry( QRect( 30, 155, 245, 16 ) );
  cbDate->setText( i18n( "Date when password was created" ) );

  cbGroup = new QCheckBox( mainBox, "cbGroup" );
  cbGroup->setGeometry( QRect( 30, 95, 130, 16 ) );
  cbGroup->setText( i18n( "Group" ) );

  cbUsername = new QCheckBox( mainBox, "cbUsername" );
  cbUsername->setGeometry( QRect( 165, 115, 115, 16 ) );
  cbUsername->setText( i18n( "Username" ) );
  cbUsername->setChecked( true );

  cbUrl = new QCheckBox( mainBox, "cbUrl" );
  cbUrl->setGeometry( QRect( 30, 135, 130, 16 ) );
  cbUrl->setText( i18n( "Url" ) );
  cbUrl->setChecked( true );

  cbPassword = new QCheckBox( mainBox, "cbPassword" );
  cbPassword->setGeometry( QRect( 30, 115, 130, 16 ) );
  cbPassword->setText( i18n( "Password" ) );
  cbPassword->setChecked( true );

  cbListname = new QCheckBox( mainBox, "cbListname" );
  cbListname->setGeometry( QRect( 165, 95, 110, 16 ) );
  cbListname->setText( i18n( "Listname" ) );
  cbListname->setChecked( true );

	// button box
  buttonBox = new QGroupBox( this, "buttonBox" );
  buttonBox->setGeometry( QRect( 5, 195, 285, 34 ) );
  buttonBox->setTitle( i18n( "" ) );
  buttonBox->setFrameShadow( QGroupBox::Plain );

  cmdOk = new QPushButton( buttonBox, "cmdOk" );
  cmdOk->setGeometry( QRect( 10, 6, 130, 22 ) );
  cmdOk->setText( i18n( "OK" ) );
  cmdOk->setAutoMask( true );

  cmdCancel = new QPushButton( buttonBox, "cmdCancel" );
  cmdCancel->setGeometry( QRect( 146, 6, 130, 22 ) );
  cmdCancel->setText( i18n( "Cancel" ) );
  cmdCancel->setAutoMask( true );


  connect( rbRawFile, SIGNAL( toggled(bool) ), cbGroup, SLOT( setDisabled(bool) ) );
  connect( rbRawFile, SIGNAL( toggled(bool) ), cbListname, SLOT( setDisabled(bool) ) );
  connect( rbRawFile, SIGNAL( toggled(bool) ), cbPassword, SLOT( setDisabled(bool) ) );
  connect( rbRawFile, SIGNAL( toggled(bool) ), cbUsername, SLOT( setDisabled(bool) ) );
  connect( rbRawFile, SIGNAL( toggled(bool) ), cbUrl, SLOT( setDisabled(bool) ) );
  connect( rbRawFile, SIGNAL( toggled(bool) ), cbMemo, SLOT( setDisabled(bool) ) );
  connect( rbRawFile, SIGNAL( toggled(bool) ), cbDate, SLOT( setDisabled(bool) ) );

  connect( cmdCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
	connect( cmdOk, SIGNAL( clicked() ), this, SLOT( accept() ) );   //

}
Kpout::~Kpout(){}
